Package org.jboss.resteasy.plugins.server.sun.http

## Class HttpServerContainer

- java.lang.Object
- - org.jboss.resteasy.plugins.server.sun.http.HttpServerContainer

-     public class HttpServerContainer
      extends Object

  Sun HttpServerContainer
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static SunHttpJaxrsServer` | `sun` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpServerContainer()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(String[] args)` |
    `static ResteasyDeployment` | `start()` |
    `static ResteasyDeployment` | `start​(String bindPath)` |
    `static ResteasyDeployment` | `start​(String bindPath, Hashtable<String,​String> initParams)` |
    `static ResteasyDeployment` | `start​(String bindPath, Hashtable<String,​String> initParams, Hashtable<String,​String> contextParams)` |
    `static ResteasyDeployment` | `start​(String bindPath, SecurityDomain domain)` |
    `static ResteasyDeployment` | `start​(String bindPath, SecurityDomain domain, Hashtable<String,​String> initParams, Hashtable<String,​String> contextParams)` |
    `static ResteasyDeployment` | `start​(String bindPath, SecurityDomain domain, ResteasyDeployment deployment, Hashtable<String,​String> initParams, Hashtable<String,​String> contextParams)` |
    `static void` | `start​(ResteasyDeployment deployment)` |
    `static void` | `stop()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sun

          public static SunHttpJaxrsServer sun

  - ### Constructor Detail

    - #### HttpServerContainer

          public HttpServerContainer()

  - ### Method Detail

    - #### start

          public static ResteasyDeployment start()
                                          throws Exception

      Throws:
        `Exception`

    - #### start

          public static ResteasyDeployment start​(String bindPath)
                                          throws Exception

      Throws:
        `Exception`

    - #### start

          public static ResteasyDeployment start​(String bindPath,
                                                 Hashtable<String,​String> initParams)
                                          throws Exception

      Throws:
        `Exception`

    - #### start

          public static ResteasyDeployment start​(String bindPath,
                                                 Hashtable<String,​String> initParams,
                                                 Hashtable<String,​String> contextParams)
                                          throws Exception

      Throws:
        `Exception`

    - #### start

          public static void start​(ResteasyDeployment deployment)
                            throws Exception

      Throws:
        `Exception`

    - #### start

          public static ResteasyDeployment start​(String bindPath,
                                                 SecurityDomain domain)
                                          throws Exception

      Throws:
        `Exception`

    - #### start

          public static ResteasyDeployment start​(String bindPath,
                                                 SecurityDomain domain,
                                                 Hashtable<String,​String> initParams,
                                                 Hashtable<String,​String> contextParams)
                                          throws Exception

      Throws:
        `Exception`

    - #### start

          public static ResteasyDeployment start​(String bindPath,
                                                 SecurityDomain domain,
                                                 ResteasyDeployment deployment,
                                                 Hashtable<String,​String> initParams,
                                                 Hashtable<String,​String> contextParams)
                                          throws Exception

      Throws:
        `Exception`

    - #### stop

          public static void stop()
                           throws Exception

      Throws:
        `Exception`

    - #### main

          public static void main​(String[] args)
                           throws Exception

      Throws:
        `Exception`